---
updatedAt: 2026-02-27T06:36:02.000Z
agentTools:
  projectIndex: https://developers.smsedge.io/llms.txt
---

# Verification HLR

Verifying number by request to Home Location Register

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "smsedge-api",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.smsedge.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/verify/number-hlr/": {
      "post": {
        "summary": "Verification HLR",
        "description": "Verifying number by request to Home Location Register",
        "operationId": "verify-number-hlr",
        "parameters": [
          {
            "name": "api_key",
            "in": "query",
            "description": "Your API Key for Authorization",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "number",
            "in": "query",
            "description": "Phone number that should be verified",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "country_id",
            "in": "query",
            "description": "ID of country. Recommended to specify this parameter if phone number provided in local format",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"success\": true,\n  \"data\": {\n    \"normalized_number\": \"4799900000\",\n    \"national_number\": \"99900000\",\n    \"country_id\": 160,\n    \"country_name\": \"Norway\",\n    \"hlr\": {\n      \"status\": \"bad\",\n      \"operator\": \"\",\n      \"raw_response\": {\n        \"error\": 0,\n        \"errorDescription\": \"No errors\",\n        \"id\": \"470400000\",\n        \"brand\": \"\",\n        \"brand_name\": \"\",\n        \"reference\": \"l4799900000\",\n        \"msisdn\": 4799900000,\n        \"network\": \"\",\n        \"status\": \"failed\",\n        \"details\": {\n          \"imsi\": \"\",\n          \"ported\": 0\n        }\n      },\n      \"stage\": \"finished\",\n      \"cost\": 0.0024\n    }\n  },\n  \"errors\": [],\n  \"response\": {\n    \"code\": 200,\n    \"description\": \"OK\",\n    \"date\": \"2018-02-14 13:32:13\"\n  },\n  \"api\": {\n    \"version\": \"v1\",\n    \"module\": \"verify\",\n    \"function\": \"number-hlr\"\n  },\n  \"user\": {\n    \"id\": 64\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "normalized_number": {
                          "type": "string",
                          "example": "4799900000"
                        },
                        "national_number": {
                          "type": "string",
                          "example": "99900000"
                        },
                        "country_id": {
                          "type": "integer",
                          "example": 160,
                          "default": 0
                        },
                        "country_name": {
                          "type": "string",
                          "example": "Norway"
                        },
                        "hlr": {
                          "type": "object",
                          "properties": {
                            "status": {
                              "type": "string",
                              "example": "bad"
                            },
                            "operator": {
                              "type": "string",
                              "example": ""
                            },
                            "raw_response": {
                              "type": "object",
                              "properties": {
                                "error": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "errorDescription": {
                                  "type": "string",
                                  "example": "No errors"
                                },
                                "id": {
                                  "type": "string",
                                  "example": "470400000"
                                },
                                "brand": {
                                  "type": "string",
                                  "example": ""
                                },
                                "brand_name": {
                                  "type": "string",
                                  "example": ""
                                },
                                "reference": {
                                  "type": "string",
                                  "example": "l4799900000"
                                },
                                "msisdn": {
                                  "type": "integer",
                                  "example": 4799900000,
                                  "default": 0
                                },
                                "network": {
                                  "type": "string",
                                  "example": ""
                                },
                                "status": {
                                  "type": "string",
                                  "example": "failed"
                                },
                                "details": {
                                  "type": "object",
                                  "properties": {
                                    "imsi": {
                                      "type": "string",
                                      "example": ""
                                    },
                                    "ported": {
                                      "type": "integer",
                                      "example": 0,
                                      "default": 0
                                    }
                                  }
                                }
                              }
                            },
                            "stage": {
                              "type": "string",
                              "example": "finished"
                            },
                            "cost": {
                              "type": "number",
                              "example": 0.0024,
                              "default": 0
                            }
                          }
                        }
                      }
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {}
                      }
                    },
                    "response": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer",
                          "example": 200,
                          "default": 0
                        },
                        "description": {
                          "type": "string",
                          "example": "OK"
                        },
                        "date": {
                          "type": "string",
                          "example": "2018-02-14 13:32:13"
                        }
                      }
                    },
                    "api": {
                      "type": "object",
                      "properties": {
                        "version": {
                          "type": "string",
                          "example": "v1"
                        },
                        "module": {
                          "type": "string",
                          "example": "verify"
                        },
                        "function": {
                          "type": "string",
                          "example": "number-hlr"
                        }
                      }
                    },
                    "user": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "integer",
                          "example": 64,
                          "default": 0
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"success\": false,\n  \"data\": [],\n  \"errors\": [\n    \"Country [country_id] can be specified for better result\",\n    \"Cannot normalize number provided\"\n  ],\n  \"response\": {\n    \"code\": 400,\n    \"description\": \"Bad Request\",\n    \"date\": \"2018-02-14 13:33:14\"\n  },\n  \"api\": {\n    \"version\": \"v1\",\n    \"module\": \"verify\",\n    \"function\": \"number-hlr\"\n  },\n  \"user\": {\n    \"id\": 64\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {}
                      }
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "Country [country_id] can be specified for better result"
                      }
                    },
                    "response": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer",
                          "example": 400,
                          "default": 0
                        },
                        "description": {
                          "type": "string",
                          "example": "Bad Request"
                        },
                        "date": {
                          "type": "string",
                          "example": "2018-02-14 13:33:14"
                        }
                      }
                    },
                    "api": {
                      "type": "object",
                      "properties": {
                        "version": {
                          "type": "string",
                          "example": "v1"
                        },
                        "module": {
                          "type": "string",
                          "example": "verify"
                        },
                        "function": {
                          "type": "string",
                          "example": "number-hlr"
                        }
                      }
                    },
                    "user": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "integer",
                          "example": 64,
                          "default": 0
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"success\": false,\n  \"data\": [],\n  \"errors\": [\n    \"Valid API key not specified\"\n  ],\n  \"response\": {\n    \"code\": 401,\n    \"description\": \"Authentication Failure\",\n    \"date\": \"2018-02-14 12:38:19\"\n  },\n  \"api\": {\n    \"version\": \"v1\",\n    \"module\": \"verify\",\n    \"function\": \"number-hlr\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {}
                      }
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "Valid API key not specified"
                      }
                    },
                    "response": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer",
                          "example": 401,
                          "default": 0
                        },
                        "description": {
                          "type": "string",
                          "example": "Authentication Failure"
                        },
                        "date": {
                          "type": "string",
                          "example": "2018-02-14 12:38:19"
                        }
                      }
                    },
                    "api": {
                      "type": "object",
                      "properties": {
                        "version": {
                          "type": "string",
                          "example": "v1"
                        },
                        "module": {
                          "type": "string",
                          "example": "verify"
                        },
                        "function": {
                          "type": "string",
                          "example": "number-hlr"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```